Date: Friday, February 2, 2018 @ 13:50:26
  Author: felixonmars
Revision: 288560

archrelease: copy trunk to community-x86_64

Added:
  python-xattr/repos/community-x86_64/PKGBUILD
    (from rev 288559, python-xattr/trunk/PKGBUILD)
Deleted:
  python-xattr/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  112 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 56 insertions(+), 56 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD    2018-02-02 13:49:58 UTC (rev 288559)
+++ PKGBUILD    2018-02-02 13:50:26 UTC (rev 288560)
@@ -1,56 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonm...@archlinux.org>
-
-pkgbase=python-xattr
-pkgname=('python-xattr' 'python2-xattr')
-pkgver=0.9.2
-pkgrel=2
-pkgdesc='Python wrapper for extended filesystem attributes'
-arch=('i686' 'x86_64')
-license=('MIT')
-url='http://github.com/xattr/xattr'
-makedepends=('python-setuptools' 'python2-setuptools' 'python-cffi' 
'python2-cffi')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/xattr/xattr/archive/v$pkgver.tar.gz";)
-sha512sums=('bad56024f7634d19f806124334de5a87fcadee5a83a558c54b293d5dc71a4416106f5b3f8e6d9321b460489c2caf06d8427f1035d99a7da86b6dd16aeec52ca2')
-
-prepare() {
-  cp -a xattr-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/xattr-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/xattr-$pkgver-py2
-  python2 setup.py build
-}
-
-check() { (
-  # Build env doesn't have permission for those xattrs
-  cd "$srcdir"/xattr-$pkgver
-  python setup.py test
-
-  cd "$srcdir"/xattr-$pkgver-py2
-  python2 setup.py test
-  ) || warning "Tests failed"
-}
-
-package_python-xattr() {
-  depends=('python-cffi' 'python-setuptools')
-
-  cd xattr-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
-}
-
-package_python2-xattr() {
-  depends=('python2-cffi' 'python2-setuptools')
-
-  cd xattr-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
-
-  mv "$pkgdir"/usr/bin/xattr{,2}
-}
-
-# vim:set ts=2 sw=2 et:

Copied: python-xattr/repos/community-x86_64/PKGBUILD (from rev 288559, 
python-xattr/trunk/PKGBUILD)
===================================================================
--- PKGBUILD                            (rev 0)
+++ PKGBUILD    2018-02-02 13:50:26 UTC (rev 288560)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Felix Yan <felixonm...@archlinux.org>
+
+pkgbase=python-xattr
+pkgname=('python-xattr' 'python2-xattr')
+pkgver=0.9.3
+pkgrel=1
+pkgdesc='Python wrapper for extended filesystem attributes'
+arch=('x86_64')
+license=('MIT')
+url='https://github.com/xattr/xattr'
+makedepends=('python-setuptools' 'python2-setuptools' 'python-cffi' 
'python2-cffi')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/xattr/xattr/archive/v$pkgver.tar.gz";)
+sha512sums=('5ea285d315d50a26c3063c1d43de66d3406d09ff35ec191cf19acf7fef80c9f0c9e1f9f08afa463122697e55b5fdc02b7aa747e310a45c2268048da5a16e9c1c')
+
+prepare() {
+  cp -a xattr-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/xattr-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/xattr-$pkgver-py2
+  python2 setup.py build
+}
+
+check() { (
+  # Build env doesn't have permission for those xattrs
+  cd "$srcdir"/xattr-$pkgver
+  python setup.py test
+
+  cd "$srcdir"/xattr-$pkgver-py2
+  python2 setup.py test
+  ) || warning "Tests failed"
+}
+
+package_python-xattr() {
+  depends=('python-cffi' 'python-setuptools')
+
+  cd xattr-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+}
+
+package_python2-xattr() {
+  depends=('python2-cffi' 'python2-setuptools')
+
+  cd xattr-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.txt
+
+  mv "$pkgdir"/usr/bin/xattr{,2}
+}
+
+# vim:set ts=2 sw=2 et:

Reply via email to